Program to generate an xml file based on a provided text file
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

851 lines
34KB

  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. bin_PROGRAMS = generarxml$(EXEEXT)
  85. subdir = .
  86. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  87. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  88. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  89. $(ACLOCAL_M4)
  90. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  91. $(am__configure_deps) $(am__DIST_COMMON)
  92. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  93. configure.lineno config.status.lineno
  94. mkinstalldirs = $(install_sh) -d
  95. CONFIG_CLEAN_FILES =
  96. CONFIG_CLEAN_VPATH_FILES =
  97. am__installdirs = "$(DESTDIR)$(bindir)"
  98. PROGRAMS = $(bin_PROGRAMS)
  99. am__dirstamp = $(am__leading_dot)dirstamp
  100. am_generarxml_OBJECTS = src/generarxml-main.$(OBJEXT) \
  101. src/generarxml-readconfig.$(OBJEXT) \
  102. src/generarxml-readfile.$(OBJEXT) \
  103. src/generarxml-encoding.$(OBJEXT) \
  104. src/generarxml-string.$(OBJEXT)
  105. generarxml_OBJECTS = $(am_generarxml_OBJECTS)
  106. generarxml_LDADD = $(LDADD)
  107. generarxml_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(generarxml_LDFLAGS) \
  108. $(LDFLAGS) -o $@
  109. AM_V_P = $(am__v_P_@AM_V@)
  110. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  111. am__v_P_0 = false
  112. am__v_P_1 = :
  113. AM_V_GEN = $(am__v_GEN_@AM_V@)
  114. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  115. am__v_GEN_0 = @echo " GEN " $@;
  116. am__v_GEN_1 =
  117. AM_V_at = $(am__v_at_@AM_V@)
  118. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  119. am__v_at_0 = @
  120. am__v_at_1 =
  121. DEFAULT_INCLUDES = -I.@am__isrc@
  122. depcomp = $(SHELL) $(top_srcdir)/depcomp
  123. am__depfiles_maybe = depfiles
  124. am__mv = mv -f
  125. AM_V_lt = $(am__v_lt_@AM_V@)
  126. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  127. am__v_lt_0 = --silent
  128. am__v_lt_1 =
  129. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  130. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  131. AM_V_CC = $(am__v_CC_@AM_V@)
  132. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  133. am__v_CC_0 = @echo " CC " $@;
  134. am__v_CC_1 =
  135. CCLD = $(CC)
  136. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  137. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  138. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  139. am__v_CCLD_0 = @echo " CCLD " $@;
  140. am__v_CCLD_1 =
  141. SOURCES = $(generarxml_SOURCES)
  142. DIST_SOURCES = $(generarxml_SOURCES)
  143. am__can_run_installinfo = \
  144. case $$AM_UPDATE_INFO_DIR in \
  145. n|no|NO) false;; \
  146. *) (install-info --version) >/dev/null 2>&1;; \
  147. esac
  148. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  149. # Read a list of newline-separated strings from the standard input,
  150. # and print each of them once, without duplicates. Input order is
  151. # *not* preserved.
  152. am__uniquify_input = $(AWK) '\
  153. BEGIN { nonempty = 0; } \
  154. { items[$$0] = 1; nonempty = 1; } \
  155. END { if (nonempty) { for (i in items) print i; }; } \
  156. '
  157. # Make sure the list of sources is unique. This is necessary because,
  158. # e.g., the same source file might be shared among _SOURCES variables
  159. # for different programs/libraries.
  160. am__define_uniq_tagged_files = \
  161. list='$(am__tagged_files)'; \
  162. unique=`for i in $$list; do \
  163. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  164. done | $(am__uniquify_input)`
  165. ETAGS = etags
  166. CTAGS = ctags
  167. CSCOPE = cscope
  168. AM_RECURSIVE_TARGETS = cscope
  169. am__DIST_COMMON = $(srcdir)/Makefile.in README compile depcomp \
  170. install-sh missing
  171. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  172. distdir = $(PACKAGE)-$(VERSION)
  173. top_distdir = $(distdir)
  174. am__remove_distdir = \
  175. if test -d "$(distdir)"; then \
  176. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  177. && rm -rf "$(distdir)" \
  178. || { sleep 5 && rm -rf "$(distdir)"; }; \
  179. else :; fi
  180. am__post_remove_distdir = $(am__remove_distdir)
  181. DIST_ARCHIVES = $(distdir).tar.gz
  182. GZIP_ENV = --best
  183. DIST_TARGETS = dist-gzip
  184. distuninstallcheck_listfiles = find . -type f -print
  185. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  186. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  187. distcleancheck_listfiles = find . -type f -print
  188. ACLOCAL = @ACLOCAL@
  189. AMTAR = @AMTAR@
  190. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  191. AUTOCONF = @AUTOCONF@
  192. AUTOHEADER = @AUTOHEADER@
  193. AUTOMAKE = @AUTOMAKE@
  194. AWK = @AWK@
  195. CC = @CC@
  196. CCDEPMODE = @CCDEPMODE@
  197. CFLAGS = @CFLAGS@
  198. CPPFLAGS = @CPPFLAGS@
  199. CYGPATH_W = @CYGPATH_W@
  200. DEFS = @DEFS@
  201. DEPDIR = @DEPDIR@
  202. ECHO_C = @ECHO_C@
  203. ECHO_N = @ECHO_N@
  204. ECHO_T = @ECHO_T@
  205. EXEEXT = @EXEEXT@
  206. INSTALL = @INSTALL@
  207. INSTALL_DATA = @INSTALL_DATA@
  208. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  209. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  210. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  211. LDFLAGS = @LDFLAGS@
  212. LIBOBJS = @LIBOBJS@
  213. LIBS = @LIBS@
  214. LIBXML2_CFLAGS = @LIBXML2_CFLAGS@
  215. LIBXML2_LIBS = @LIBXML2_LIBS@
  216. LTLIBOBJS = @LTLIBOBJS@
  217. M4 = @M4@
  218. MAKEINFO = @MAKEINFO@
  219. MKDIR_P = @MKDIR_P@
  220. OBJEXT = @OBJEXT@
  221. PACKAGE = @PACKAGE@
  222. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  223. PACKAGE_NAME = @PACKAGE_NAME@
  224. PACKAGE_STRING = @PACKAGE_STRING@
  225. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  226. PACKAGE_URL = @PACKAGE_URL@
  227. PACKAGE_VERSION = @PACKAGE_VERSION@
  228. PATH_SEPARATOR = @PATH_SEPARATOR@
  229. PKG_CONFIG = @PKG_CONFIG@
  230. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  231. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  232. SET_MAKE = @SET_MAKE@
  233. SHELL = @SHELL@
  234. STRIP = @STRIP@
  235. VERSION = @VERSION@
  236. XML2_CONFIG = @XML2_CONFIG@
  237. XML_CPPFLAGS = @XML_CPPFLAGS@
  238. XML_LIBS = @XML_LIBS@
  239. abs_builddir = @abs_builddir@
  240. abs_srcdir = @abs_srcdir@
  241. abs_top_builddir = @abs_top_builddir@
  242. abs_top_srcdir = @abs_top_srcdir@
  243. ac_ct_CC = @ac_ct_CC@
  244. am__include = @am__include@
  245. am__leading_dot = @am__leading_dot@
  246. am__quote = @am__quote@
  247. am__tar = @am__tar@
  248. am__untar = @am__untar@
  249. bindir = @bindir@
  250. build_alias = @build_alias@
  251. builddir = @builddir@
  252. datadir = @datadir@
  253. datarootdir = @datarootdir@
  254. docdir = @docdir@
  255. dvidir = @dvidir@
  256. exec_prefix = @exec_prefix@
  257. host_alias = @host_alias@
  258. htmldir = @htmldir@
  259. includedir = @includedir@
  260. infodir = @infodir@
  261. install_sh = @install_sh@
  262. libdir = @libdir@
  263. libexecdir = @libexecdir@
  264. localedir = @localedir@
  265. localstatedir = @localstatedir@
  266. mandir = @mandir@
  267. mkdir_p = @mkdir_p@
  268. oldincludedir = @oldincludedir@
  269. pdfdir = @pdfdir@
  270. prefix = @prefix@
  271. program_transform_name = @program_transform_name@
  272. psdir = @psdir@
  273. sbindir = @sbindir@
  274. sharedstatedir = @sharedstatedir@
  275. srcdir = @srcdir@
  276. sysconfdir = @sysconfdir@
  277. target_alias = @target_alias@
  278. top_build_prefix = @top_build_prefix@
  279. top_builddir = @top_builddir@
  280. top_srcdir = @top_srcdir@
  281. AUTOMAKE_OPTIONS = foreign
  282. generarxml_SOURCES = src/main.c \
  283. src/readconfig.c \
  284. src/readfile.c \
  285. src/encoding.c \
  286. src/string.c
  287. generarxml_CPPFLAGS = $(XML_CPPFLAGS)
  288. generarxml_LDFLAGS = $(XML_LIBS)
  289. all: all-am
  290. .SUFFIXES:
  291. .SUFFIXES: .c .o .obj
  292. am--refresh: Makefile
  293. @:
  294. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  295. @for dep in $?; do \
  296. case '$(am__configure_deps)' in \
  297. *$$dep*) \
  298. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  299. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  300. && exit 0; \
  301. exit 1;; \
  302. esac; \
  303. done; \
  304. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  305. $(am__cd) $(top_srcdir) && \
  306. $(AUTOMAKE) --foreign Makefile
  307. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  308. @case '$?' in \
  309. *config.status*) \
  310. echo ' $(SHELL) ./config.status'; \
  311. $(SHELL) ./config.status;; \
  312. *) \
  313. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  314. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  315. esac;
  316. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  317. $(SHELL) ./config.status --recheck
  318. $(top_srcdir)/configure: $(am__configure_deps)
  319. $(am__cd) $(srcdir) && $(AUTOCONF)
  320. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  321. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  322. $(am__aclocal_m4_deps):
  323. install-binPROGRAMS: $(bin_PROGRAMS)
  324. @$(NORMAL_INSTALL)
  325. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  326. if test -n "$$list"; then \
  327. echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  328. $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  329. fi; \
  330. for p in $$list; do echo "$$p $$p"; done | \
  331. sed 's/$(EXEEXT)$$//' | \
  332. while read p p1; do if test -f $$p \
  333. ; then echo "$$p"; echo "$$p"; else :; fi; \
  334. done | \
  335. sed -e 'p;s,.*/,,;n;h' \
  336. -e 's|.*|.|' \
  337. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  338. sed 'N;N;N;s,\n, ,g' | \
  339. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  340. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  341. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  342. else { print "f", $$3 "/" $$4, $$1; } } \
  343. END { for (d in files) print "f", d, files[d] }' | \
  344. while read type dir files; do \
  345. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  346. test -z "$$files" || { \
  347. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  348. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  349. } \
  350. ; done
  351. uninstall-binPROGRAMS:
  352. @$(NORMAL_UNINSTALL)
  353. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  354. files=`for p in $$list; do echo "$$p"; done | \
  355. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  356. -e 's/$$/$(EXEEXT)/' \
  357. `; \
  358. test -n "$$list" || exit 0; \
  359. echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  360. cd "$(DESTDIR)$(bindir)" && rm -f $$files
  361. clean-binPROGRAMS:
  362. -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  363. src/$(am__dirstamp):
  364. @$(MKDIR_P) src
  365. @: > src/$(am__dirstamp)
  366. src/$(DEPDIR)/$(am__dirstamp):
  367. @$(MKDIR_P) src/$(DEPDIR)
  368. @: > src/$(DEPDIR)/$(am__dirstamp)
  369. src/generarxml-main.$(OBJEXT): src/$(am__dirstamp) \
  370. src/$(DEPDIR)/$(am__dirstamp)
  371. src/generarxml-readconfig.$(OBJEXT): src/$(am__dirstamp) \
  372. src/$(DEPDIR)/$(am__dirstamp)
  373. src/generarxml-readfile.$(OBJEXT): src/$(am__dirstamp) \
  374. src/$(DEPDIR)/$(am__dirstamp)
  375. src/generarxml-encoding.$(OBJEXT): src/$(am__dirstamp) \
  376. src/$(DEPDIR)/$(am__dirstamp)
  377. src/generarxml-string.$(OBJEXT): src/$(am__dirstamp) \
  378. src/$(DEPDIR)/$(am__dirstamp)
  379. generarxml$(EXEEXT): $(generarxml_OBJECTS) $(generarxml_DEPENDENCIES) $(EXTRA_generarxml_DEPENDENCIES)
  380. @rm -f generarxml$(EXEEXT)
  381. $(AM_V_CCLD)$(generarxml_LINK) $(generarxml_OBJECTS) $(generarxml_LDADD) $(LIBS)
  382. mostlyclean-compile:
  383. -rm -f *.$(OBJEXT)
  384. -rm -f src/*.$(OBJEXT)
  385. distclean-compile:
  386. -rm -f *.tab.c
  387. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-encoding.Po@am__quote@
  388. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-main.Po@am__quote@
  389. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-readconfig.Po@am__quote@
  390. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-readfile.Po@am__quote@
  391. @AMDEP_TRUE@@am__include@ @am__quote@src/$(DEPDIR)/generarxml-string.Po@am__quote@
  392. .c.o:
  393. @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  394. @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  395. @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
  396. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  397. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  398. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  399. .c.obj:
  400. @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  401. @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  402. @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
  403. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  404. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  405. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  406. src/generarxml-main.o: src/main.c
  407. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-main.o -MD -MP -MF src/$(DEPDIR)/generarxml-main.Tpo -c -o src/generarxml-main.o `test -f 'src/main.c' || echo '$(srcdir)/'`src/main.c
  408. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-main.Tpo src/$(DEPDIR)/generarxml-main.Po
  409. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/main.c' object='src/generarxml-main.o' libtool=no @AMDEPBACKSLASH@
  410. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  411. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-main.o `test -f 'src/main.c' || echo '$(srcdir)/'`src/main.c
  412. src/generarxml-main.obj: src/main.c
  413. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-main.obj -MD -MP -MF src/$(DEPDIR)/generarxml-main.Tpo -c -o src/generarxml-main.obj `if test -f 'src/main.c'; then $(CYGPATH_W) 'src/main.c'; else $(CYGPATH_W) '$(srcdir)/src/main.c'; fi`
  414. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-main.Tpo src/$(DEPDIR)/generarxml-main.Po
  415. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/main.c' object='src/generarxml-main.obj' libtool=no @AMDEPBACKSLASH@
  416. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  417. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-main.obj `if test -f 'src/main.c'; then $(CYGPATH_W) 'src/main.c'; else $(CYGPATH_W) '$(srcdir)/src/main.c'; fi`
  418. src/generarxml-readconfig.o: src/readconfig.c
  419. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readconfig.o -MD -MP -MF src/$(DEPDIR)/generarxml-readconfig.Tpo -c -o src/generarxml-readconfig.o `test -f 'src/readconfig.c' || echo '$(srcdir)/'`src/readconfig.c
  420. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readconfig.Tpo src/$(DEPDIR)/generarxml-readconfig.Po
  421. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readconfig.c' object='src/generarxml-readconfig.o' libtool=no @AMDEPBACKSLASH@
  422. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  423. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readconfig.o `test -f 'src/readconfig.c' || echo '$(srcdir)/'`src/readconfig.c
  424. src/generarxml-readconfig.obj: src/readconfig.c
  425. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readconfig.obj -MD -MP -MF src/$(DEPDIR)/generarxml-readconfig.Tpo -c -o src/generarxml-readconfig.obj `if test -f 'src/readconfig.c'; then $(CYGPATH_W) 'src/readconfig.c'; else $(CYGPATH_W) '$(srcdir)/src/readconfig.c'; fi`
  426. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readconfig.Tpo src/$(DEPDIR)/generarxml-readconfig.Po
  427. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readconfig.c' object='src/generarxml-readconfig.obj' libtool=no @AMDEPBACKSLASH@
  428. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  429. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readconfig.obj `if test -f 'src/readconfig.c'; then $(CYGPATH_W) 'src/readconfig.c'; else $(CYGPATH_W) '$(srcdir)/src/readconfig.c'; fi`
  430. src/generarxml-readfile.o: src/readfile.c
  431. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readfile.o -MD -MP -MF src/$(DEPDIR)/generarxml-readfile.Tpo -c -o src/generarxml-readfile.o `test -f 'src/readfile.c' || echo '$(srcdir)/'`src/readfile.c
  432. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readfile.Tpo src/$(DEPDIR)/generarxml-readfile.Po
  433. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readfile.c' object='src/generarxml-readfile.o' libtool=no @AMDEPBACKSLASH@
  434. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  435. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readfile.o `test -f 'src/readfile.c' || echo '$(srcdir)/'`src/readfile.c
  436. src/generarxml-readfile.obj: src/readfile.c
  437. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-readfile.obj -MD -MP -MF src/$(DEPDIR)/generarxml-readfile.Tpo -c -o src/generarxml-readfile.obj `if test -f 'src/readfile.c'; then $(CYGPATH_W) 'src/readfile.c'; else $(CYGPATH_W) '$(srcdir)/src/readfile.c'; fi`
  438. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-readfile.Tpo src/$(DEPDIR)/generarxml-readfile.Po
  439. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/readfile.c' object='src/generarxml-readfile.obj' libtool=no @AMDEPBACKSLASH@
  440. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  441. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-readfile.obj `if test -f 'src/readfile.c'; then $(CYGPATH_W) 'src/readfile.c'; else $(CYGPATH_W) '$(srcdir)/src/readfile.c'; fi`
  442. src/generarxml-encoding.o: src/encoding.c
  443. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-encoding.o -MD -MP -MF src/$(DEPDIR)/generarxml-encoding.Tpo -c -o src/generarxml-encoding.o `test -f 'src/encoding.c' || echo '$(srcdir)/'`src/encoding.c
  444. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-encoding.Tpo src/$(DEPDIR)/generarxml-encoding.Po
  445. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/encoding.c' object='src/generarxml-encoding.o' libtool=no @AMDEPBACKSLASH@
  446. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  447. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-encoding.o `test -f 'src/encoding.c' || echo '$(srcdir)/'`src/encoding.c
  448. src/generarxml-encoding.obj: src/encoding.c
  449. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-encoding.obj -MD -MP -MF src/$(DEPDIR)/generarxml-encoding.Tpo -c -o src/generarxml-encoding.obj `if test -f 'src/encoding.c'; then $(CYGPATH_W) 'src/encoding.c'; else $(CYGPATH_W) '$(srcdir)/src/encoding.c'; fi`
  450. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-encoding.Tpo src/$(DEPDIR)/generarxml-encoding.Po
  451. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/encoding.c' object='src/generarxml-encoding.obj' libtool=no @AMDEPBACKSLASH@
  452. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  453. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-encoding.obj `if test -f 'src/encoding.c'; then $(CYGPATH_W) 'src/encoding.c'; else $(CYGPATH_W) '$(srcdir)/src/encoding.c'; fi`
  454. src/generarxml-string.o: src/string.c
  455. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-string.o -MD -MP -MF src/$(DEPDIR)/generarxml-string.Tpo -c -o src/generarxml-string.o `test -f 'src/string.c' || echo '$(srcdir)/'`src/string.c
  456. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-string.Tpo src/$(DEPDIR)/generarxml-string.Po
  457. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/string.c' object='src/generarxml-string.o' libtool=no @AMDEPBACKSLASH@
  458. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  459. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-string.o `test -f 'src/string.c' || echo '$(srcdir)/'`src/string.c
  460. src/generarxml-string.obj: src/string.c
  461. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/generarxml-string.obj -MD -MP -MF src/$(DEPDIR)/generarxml-string.Tpo -c -o src/generarxml-string.obj `if test -f 'src/string.c'; then $(CYGPATH_W) 'src/string.c'; else $(CYGPATH_W) '$(srcdir)/src/string.c'; fi`
  462. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) src/$(DEPDIR)/generarxml-string.Tpo src/$(DEPDIR)/generarxml-string.Po
  463. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='src/string.c' object='src/generarxml-string.obj' libtool=no @AMDEPBACKSLASH@
  464. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  465. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(generarxml_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/generarxml-string.obj `if test -f 'src/string.c'; then $(CYGPATH_W) 'src/string.c'; else $(CYGPATH_W) '$(srcdir)/src/string.c'; fi`
  466. ID: $(am__tagged_files)
  467. $(am__define_uniq_tagged_files); mkid -fID $$unique
  468. tags: tags-am
  469. TAGS: tags
  470. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  471. set x; \
  472. here=`pwd`; \
  473. $(am__define_uniq_tagged_files); \
  474. shift; \
  475. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  476. test -n "$$unique" || unique=$$empty_fix; \
  477. if test $$# -gt 0; then \
  478. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  479. "$$@" $$unique; \
  480. else \
  481. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  482. $$unique; \
  483. fi; \
  484. fi
  485. ctags: ctags-am
  486. CTAGS: ctags
  487. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  488. $(am__define_uniq_tagged_files); \
  489. test -z "$(CTAGS_ARGS)$$unique" \
  490. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  491. $$unique
  492. GTAGS:
  493. here=`$(am__cd) $(top_builddir) && pwd` \
  494. && $(am__cd) $(top_srcdir) \
  495. && gtags -i $(GTAGS_ARGS) "$$here"
  496. cscope: cscope.files
  497. test ! -s cscope.files \
  498. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  499. clean-cscope:
  500. -rm -f cscope.files
  501. cscope.files: clean-cscope cscopelist
  502. cscopelist: cscopelist-am
  503. cscopelist-am: $(am__tagged_files)
  504. list='$(am__tagged_files)'; \
  505. case "$(srcdir)" in \
  506. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  507. *) sdir=$(subdir)/$(srcdir) ;; \
  508. esac; \
  509. for i in $$list; do \
  510. if test -f "$$i"; then \
  511. echo "$(subdir)/$$i"; \
  512. else \
  513. echo "$$sdir/$$i"; \
  514. fi; \
  515. done >> $(top_builddir)/cscope.files
  516. distclean-tags:
  517. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  518. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  519. distdir: $(DISTFILES)
  520. $(am__remove_distdir)
  521. test -d "$(distdir)" || mkdir "$(distdir)"
  522. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  523. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  524. list='$(DISTFILES)'; \
  525. dist_files=`for file in $$list; do echo $$file; done | \
  526. sed -e "s|^$$srcdirstrip/||;t" \
  527. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  528. case $$dist_files in \
  529. */*) $(MKDIR_P) `echo "$$dist_files" | \
  530. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  531. sort -u` ;; \
  532. esac; \
  533. for file in $$dist_files; do \
  534. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  535. if test -d $$d/$$file; then \
  536. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  537. if test -d "$(distdir)/$$file"; then \
  538. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  539. fi; \
  540. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  541. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  542. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  543. fi; \
  544. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  545. else \
  546. test -f "$(distdir)/$$file" \
  547. || cp -p $$d/$$file "$(distdir)/$$file" \
  548. || exit 1; \
  549. fi; \
  550. done
  551. -test -n "$(am__skip_mode_fix)" \
  552. || find "$(distdir)" -type d ! -perm -755 \
  553. -exec chmod u+rwx,go+rx {} \; -o \
  554. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  555. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  556. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  557. || chmod -R a+r "$(distdir)"
  558. dist-gzip: distdir
  559. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  560. $(am__post_remove_distdir)
  561. dist-bzip2: distdir
  562. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  563. $(am__post_remove_distdir)
  564. dist-lzip: distdir
  565. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  566. $(am__post_remove_distdir)
  567. dist-xz: distdir
  568. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  569. $(am__post_remove_distdir)
  570. dist-tarZ: distdir
  571. @echo WARNING: "Support for distribution archives compressed with" \
  572. "legacy program 'compress' is deprecated." >&2
  573. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  574. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  575. $(am__post_remove_distdir)
  576. dist-shar: distdir
  577. @echo WARNING: "Support for shar distribution archives is" \
  578. "deprecated." >&2
  579. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  580. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  581. $(am__post_remove_distdir)
  582. dist-zip: distdir
  583. -rm -f $(distdir).zip
  584. zip -rq $(distdir).zip $(distdir)
  585. $(am__post_remove_distdir)
  586. dist dist-all:
  587. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  588. $(am__post_remove_distdir)
  589. # This target untars the dist file and tries a VPATH configuration. Then
  590. # it guarantees that the distribution is self-contained by making another
  591. # tarfile.
  592. distcheck: dist
  593. case '$(DIST_ARCHIVES)' in \
  594. *.tar.gz*) \
  595. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  596. *.tar.bz2*) \
  597. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  598. *.tar.lz*) \
  599. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  600. *.tar.xz*) \
  601. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  602. *.tar.Z*) \
  603. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  604. *.shar.gz*) \
  605. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  606. *.zip*) \
  607. unzip $(distdir).zip ;;\
  608. esac
  609. chmod -R a-w $(distdir)
  610. chmod u+w $(distdir)
  611. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  612. chmod a-w $(distdir)
  613. test -d $(distdir)/_build || exit 0; \
  614. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  615. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  616. && am__cwd=`pwd` \
  617. && $(am__cd) $(distdir)/_build/sub \
  618. && ../../configure \
  619. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  620. $(DISTCHECK_CONFIGURE_FLAGS) \
  621. --srcdir=../.. --prefix="$$dc_install_base" \
  622. && $(MAKE) $(AM_MAKEFLAGS) \
  623. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  624. && $(MAKE) $(AM_MAKEFLAGS) check \
  625. && $(MAKE) $(AM_MAKEFLAGS) install \
  626. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  627. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  628. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  629. distuninstallcheck \
  630. && chmod -R a-w "$$dc_install_base" \
  631. && ({ \
  632. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  633. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  634. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  635. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  636. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  637. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  638. && rm -rf "$$dc_destdir" \
  639. && $(MAKE) $(AM_MAKEFLAGS) dist \
  640. && rm -rf $(DIST_ARCHIVES) \
  641. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  642. && cd "$$am__cwd" \
  643. || exit 1
  644. $(am__post_remove_distdir)
  645. @(echo "$(distdir) archives ready for distribution: "; \
  646. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  647. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  648. distuninstallcheck:
  649. @test -n '$(distuninstallcheck_dir)' || { \
  650. echo 'ERROR: trying to run $@ with an empty' \
  651. '$$(distuninstallcheck_dir)' >&2; \
  652. exit 1; \
  653. }; \
  654. $(am__cd) '$(distuninstallcheck_dir)' || { \
  655. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  656. exit 1; \
  657. }; \
  658. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  659. || { echo "ERROR: files left after uninstall:" ; \
  660. if test -n "$(DESTDIR)"; then \
  661. echo " (check DESTDIR support)"; \
  662. fi ; \
  663. $(distuninstallcheck_listfiles) ; \
  664. exit 1; } >&2
  665. distcleancheck: distclean
  666. @if test '$(srcdir)' = . ; then \
  667. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  668. exit 1 ; \
  669. fi
  670. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  671. || { echo "ERROR: files left in build directory after distclean:" ; \
  672. $(distcleancheck_listfiles) ; \
  673. exit 1; } >&2
  674. check-am: all-am
  675. check: check-am
  676. all-am: Makefile $(PROGRAMS)
  677. installdirs:
  678. for dir in "$(DESTDIR)$(bindir)"; do \
  679. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  680. done
  681. install: install-am
  682. install-exec: install-exec-am
  683. install-data: install-data-am
  684. uninstall: uninstall-am
  685. install-am: all-am
  686. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  687. installcheck: installcheck-am
  688. install-strip:
  689. if test -z '$(STRIP)'; then \
  690. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  691. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  692. install; \
  693. else \
  694. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  695. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  696. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  697. fi
  698. mostlyclean-generic:
  699. clean-generic:
  700. distclean-generic:
  701. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  702. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  703. -rm -f src/$(DEPDIR)/$(am__dirstamp)
  704. -rm -f src/$(am__dirstamp)
  705. maintainer-clean-generic:
  706. @echo "This command is intended for maintainers to use"
  707. @echo "it deletes files that may require special tools to rebuild."
  708. clean: clean-am
  709. clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  710. distclean: distclean-am
  711. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  712. -rm -rf src/$(DEPDIR)
  713. -rm -f Makefile
  714. distclean-am: clean-am distclean-compile distclean-generic \
  715. distclean-tags
  716. dvi: dvi-am
  717. dvi-am:
  718. html: html-am
  719. html-am:
  720. info: info-am
  721. info-am:
  722. install-data-am:
  723. install-dvi: install-dvi-am
  724. install-dvi-am:
  725. install-exec-am: install-binPROGRAMS
  726. install-html: install-html-am
  727. install-html-am:
  728. install-info: install-info-am
  729. install-info-am:
  730. install-man:
  731. install-pdf: install-pdf-am
  732. install-pdf-am:
  733. install-ps: install-ps-am
  734. install-ps-am:
  735. installcheck-am:
  736. maintainer-clean: maintainer-clean-am
  737. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  738. -rm -rf $(top_srcdir)/autom4te.cache
  739. -rm -rf src/$(DEPDIR)
  740. -rm -f Makefile
  741. maintainer-clean-am: distclean-am maintainer-clean-generic
  742. mostlyclean: mostlyclean-am
  743. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  744. pdf: pdf-am
  745. pdf-am:
  746. ps: ps-am
  747. ps-am:
  748. uninstall-am: uninstall-binPROGRAMS
  749. .MAKE: install-am install-strip
  750. .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  751. clean-binPROGRAMS clean-cscope clean-generic cscope \
  752. cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  753. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  754. distcheck distclean distclean-compile distclean-generic \
  755. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  756. dvi-am html html-am info info-am install install-am \
  757. install-binPROGRAMS install-data install-data-am install-dvi \
  758. install-dvi-am install-exec install-exec-am install-html \
  759. install-html-am install-info install-info-am install-man \
  760. install-pdf install-pdf-am install-ps install-ps-am \
  761. install-strip installcheck installcheck-am installdirs \
  762. maintainer-clean maintainer-clean-generic mostlyclean \
  763. mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  764. tags tags-am uninstall uninstall-am uninstall-binPROGRAMS
  765. .PRECIOUS: Makefile
  766. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  767. # Otherwise a system limit (for SysV at least) may be exceeded.
  768. .NOEXPORT: